package com.zaojiao.app.data.remote.api

import com.zaojiao.app.core.http.common.NetResult
import com.zaojiao.app.data.model.common.CategoryModel
import com.zaojiao.app.data.model.studyplan.StudyPlanTodayModel
import com.zaojiao.app.data.model.studyplan.StudyPlanTomorrowModel
import retrofit2.http.GET

interface StudyPlanApi {
    @GET("/app/game-course/plan/today")
    suspend fun getTodayPlan(): NetResult<List<StudyPlanTodayModel>>

    @GET("/app/game-course/plan/tomorrow")
    suspend fun getTomorrowPlan(): NetResult<List<StudyPlanTomorrowModel>>

    @GET("/app/game-course/plan/category")
    suspend fun getTotalCategory(): NetResult<List<CategoryModel>>
}